%define upstream_name    Cpanel-JSON-XS
%define upstream_version 4.39

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    JSON::XS for Cpanel, fast and correct serializing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
# Source0:    https://www.cpan.org/modules/by-module/Cpanel/%{upstream_name}-%{upstream_version}.tar.gz
Source0:    https://cpan.metacpan.org/authors/id/R/RU/RURBAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Devel::Peek)
BuildRequires: perl(Encode) >= 1.980.100
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POSIX)
BuildRequires: perl(Pod::Text) >= 2.80.0
BuildRequires: perl(Test)
BuildRequires: perl(Test::More)
BuildRequires: perl(Tie::Array)
BuildRequires: perl(Tie::Hash)
BuildRequires: perl(Time::Piece)
BuildRequires: perl(XSLoader)
BuildRequires: perl(charnames)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
# Avoid unwanted provides and dependencies
%{?perl_default_filter}

%description
This module converts Perl data structures to JSON and vice versa. Its
primary goal is to be _correct_ and its secondary goal is to be _fast_. To
reach the latter goal it was written in C.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README SIGNATURE XS eg
%{_mandir}/man3/*
%perl_vendorarch/*
/usr/bin/cpanel_json_xs
%{_mandir}/man1/cpanel_json_xs.1*

%changelog
* Tue Jul 01 2025 umeabot <umeabot> 4.390.0-2.mga10
+ Revision: 2234717
- Mageia 10 Mass Rebuild

* Sat Jan 25 2025 tv <tv> 4.390.0-1.mga10
+ Revision: 2142188
- update to 4.39

* Thu Aug 22 2024 neoclust <neoclust> 4.380.0-2.mga10
+ Revision: 2087773
- Rebuild against new perl

* Sat Jun 01 2024 tv <tv> 4.380.0-1.mga10
+ Revision: 2069078
- update to 4.38

* Sun Nov 26 2023 tv <tv> 4.370.0-2.mga10
+ Revision: 2009907
- Rebuild for perl-5.38

* Tue Aug 29 2023 tv <tv> 4.370.0-1.mga10
+ Revision: 1980936
- update to 4.37

* Fri Mar 17 2023 ns80 <ns80> 4.350.0-1.mga9
+ Revision: 1949561
- new version 4.35 to fix utf8 object stringification (mga#31666)

* Wed Feb 22 2023 tv <tv> 4.340.0-1.mga9
+ Revision: 1944686
- update to 4.34

* Tue Aug 16 2022 tv <tv> 4.320.0-1.mga9
+ Revision: 1878124
- update to 4.32

* Sat Aug 13 2022 tv <tv> 4.310.0-1.mga9
+ Revision: 1877342
- update to 4.31

* Wed Jun 22 2022 tv <tv> 4.300.0-1.mga9
+ Revision: 1865453
- update to 4.30

* Tue Jun 07 2022 umeabot <umeabot> 4.290.0-2.mga9
+ Revision: 1862853
- Rebuild for Perl 5.36

* Tue May 31 2022 tv <tv> 4.290.0-1.mga9
+ Revision: 1860792
- update to 4.29

* Fri May 06 2022 tv <tv> 4.280.0-1.mga9
+ Revision: 1856455
- update to 4.28

* Thu Mar 17 2022 umeabot <umeabot> 4.270.0-2.mga9
+ Revision: 1796633
- Mageia 9 Mass Rebuild

* Sat Oct 16 2021 tv <tv> 4.270.0-1.mga9
+ Revision: 1751797
- update to 4.27

* Mon May 24 2021 umeabot <umeabot> 4.260.0-2.mga9
+ Revision: 1727663
- Rebuild for perl 5.34

* Tue Apr 13 2021 tv <tv> 4.260.0-1.mga9
+ Revision: 1715666
- update to 4.26

* Thu Oct 29 2020 tv <tv> 4.250.0-1.mga8
+ Revision: 1640352
- update to 4.25

* Sun Oct 04 2020 tv <tv> 4.240.0-1.mga8
+ Revision: 1632139
- update to 4.24

* Mon Sep 07 2020 tv <tv> 4.230.0-1.mga8
+ Revision: 1623060
- update to 4.23

* Sat Sep 05 2020 tv <tv> 4.220.0-1.mga8
+ Revision: 1622789
- update to 4.22

* Fri Aug 14 2020 tv <tv> 4.210.0-1.mga8
+ Revision: 1613979
- update to 4.21

* Thu Jun 18 2020 umeabot <umeabot> 4.190.0-3.mga8
+ Revision: 1595636
- Rebuild for perl 5.32

* Tue Feb 18 2020 umeabot <umeabot> 4.190.0-2.mga8
+ Revision: 1540280
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 tv <tv> 4.190.0-1.mga8
+ Revision: 1489041
- update to 4.19

* Sun Dec 15 2019 tv <tv> 4.180.0-1.mga8
+ Revision: 1467642
- update to 4.18

* Wed Nov 06 2019 tv <tv> 4.170.0-1.mga8
+ Revision: 1458371
- update to 4.17

* Tue Nov 05 2019 tv <tv> 4.160.0-1.mga8
+ Revision: 1458076
- update to 4.16

* Wed Oct 23 2019 tv <tv> 4.150.0-1.mga8
+ Revision: 1455419
- update to 4.15

* Wed Oct 16 2019 tv <tv> 4.140.0-1.mga8
+ Revision: 1454138
- update to 4.14

* Tue Oct 15 2019 tv <tv> 4.130.0-1.mga8
+ Revision: 1453828
- update to 4.13

* Mon Aug 26 2019 tv <tv> 4.120.0-2.mga8
+ Revision: 1432754
- rebuild with perl-5.30

* Sat Jun 29 2019 tv <tv> 4.120.0-1.mga8
+ Revision: 1415956
- update to 4.12

* Wed Mar 27 2019 tv <tv> 4.110.0-1.mga7
+ Revision: 1380648
- update to 4.11

* Mon Mar 18 2019 tv <tv> 4.100.0-2.mga7
+ Revision: 1378634
- fix summary+description*

* Mon Mar 18 2019 tv <tv> 4.100.0-1.mga7
+ Revision: 1378605
- update to 4.10

* Sat Feb 16 2019 tv <tv> 4.90.0-1.mga7
+ Revision: 1367507
- update to 4.09

* Wed Nov 28 2018 tv <tv> 4.80.0-1.mga7
+ Revision: 1336505
- update to 4.08

* Sun Nov 04 2018 tv <tv> 4.70.0-1.mga7
+ Revision: 1328105
- update to 4.07

* Fri Sep 21 2018 umeabot <umeabot> 4.60.0-2.mga7
+ Revision: 1292541
- Mageia 7 Mass Rebuild

* Fri Aug 24 2018 tv <tv> 4.60.0-1.mga7
+ Revision: 1253713
- update to 4.06

* Mon Aug 20 2018 tv <tv> 4.50.0-1.mga7
+ Revision: 1253168
- update to 4.05

* Sun Aug 05 2018 shlomif <shlomif> 4.40.0-2.mga7
+ Revision: 1247960
- Rebuild for new perl

* Sat Jun 23 2018 tv <tv> 4.40.0-1.mga7
+ Revision: 1239267
- update to 4.04

* Fri Jun 22 2018 tv <tv> 4.30.0-1.mga7
+ Revision: 1238744
- update to 4.03

* Sat Mar 03 2018 tv <tv> 4.20.0-1.mga7
+ Revision: 1206268
- update to 4.02

* Fri Feb 09 2018 tv <tv> 4.10.0-1.mga7
+ Revision: 1199861
- update to 4.01

* Mon Oct 02 2017 tv <tv> 3.23.900-2.mga7
+ Revision: 1163581
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 3.23.900-1.mga7
+ Revision: 1155769
- update to 3.0239

* Thu Aug 31 2017 pterjan <pterjan> 3.21.300-4.mga7
+ Revision: 1148695
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 3.21.300-3.mga7
+ Revision: 1126627
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 3.21.300-2.mga6
+ Revision: 1024442
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 shlomif <shlomif> 3.21.300-1.mga6
+ Revision: 989807
- update to 3.0213

* Sat Jan 16 2016 shlomif <shlomif> 3.21.100-1.mga6
+ Revision: 923692
- update to 3.0211

* Fri Jun 26 2015 tv <tv> 3.11.500-2.mga6
+ Revision: 844753
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 3.11.500-1.mga6
+ Revision: 840866
- New version 3.0115 + Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 3.10.400-5.mga5
+ Revision: 747075
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 3.10.400-4.mga5
+ Revision: 732963
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 3.10.400-3.mga5
+ Revision: 684026
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 3.10.400-2.mga5
+ Revision: 630945
- Rebuild for perl 5.20

* Tue May 06 2014 jquelin <jquelin> 3.10.400-1.mga5
+ Revision: 620509
- update to 3.0104

* Fri Apr 25 2014 shlomif <shlomif> 3.10.300-1.mga5
+ Revision: 617954
- New version 3.0103

* Tue Feb 04 2014 shlomif <shlomif> 2.340.400-1.mga5
+ Revision: 581681
- update to 2.3404
- imported package perl-Cpanel-JSON-XS


* Thu Jan 16 2014 cpan2dist 2.3403-1mga
- initial mageia release, generated with cpan2dist
